
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Cisco安全防火墙服务模块（FWSM）解决方案》——1.5 IP地址重用 / iVAN</title>

    <meta name="description" content="《Cisco安全防火墙服务模块（FWSM）解决方案》——1.5 IP地址重用 1.5 IP地址重用 Cisco安全防火墙服务模块(FWSM)解决方案 所有防火墙都有一个共同的特性,那就是网络地址转换(NAT)和端口地址转换(PAT).NAT隐藏了内部使用的IP地址规划,而PAT功能有助于将公共IP地址空间的使用降至最低. 图1-5所示为如何使用防火墙来提供NAT和/或PAT功能. 1.5.1 NAT NAT能够改变源和/或目的IP地址,通常在内部使用私有地址空间时会用到NAT.NAT在内部IP地址和外部IP地址之间建立一一对应关系. 在图1-6中,两个客户端位于防火墙的内">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Cisco安全防火墙服务模块（FWSM）解决方案》——1.5 IP地址重用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.5 IP地址重用</h3>
<p>Cisco安全防火墙服务模块（FWSM）解决方案<br />
所有防火墙都有一个共同的特性，那就是网络地址转换（NAT）和端口地址转换（PAT）。NAT隐藏了内部使用的IP地址规划，而PAT功能有助于将公共IP地址空间的使用降至最低。</p>
<p>图1-5所示为如何使用防火墙来提供NAT和/或PAT功能。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzk0YmQxY2ZiOTYyMTE1ODEzMjBlODE1OGJiY2RmMWNlYTViYzY5ZmQucG5n.jpg"></p>
<h4>1.5.1 NAT</h4>
<p>NAT能够改变源和/或目的IP地址，通常在内部使用私有地址空间时会用到NAT。NAT在内部IP地址和外部IP地址之间建立一一对应关系。</p>
<p>在图1-6中，两个客户端位于防火墙的内部。客户端1和客户端2的IP地址分别为192.168.1.2和192.168.1.3。已经为防火墙分派了一个NAT地址池，其使用的IP地址为172.16.1.2～172.16.1.254。</p>
<p>当客户端1试图连接Internet时，防火墙已经被配置为从地址池内取出一个IP地址，并把客户端的源地址转换成地址池中取出的地址。注意，当连接通过防火墙时，客户端的源地址已经从192.168.1.2转换成172.16.1.2（地址池中的第一个IP地址）了。</p>
<p>当客户端2建立通过防火墙的连接时，它会获得地址池内的第二个地址。可以看到，地址池的大小是与允许通过防火墙的客户端数量相对应的。当第255个客户端试图通过防火墙建立连接时，由于地址池已完全分配完毕，此连接会被拒绝。这个问题将在“PAT”一节中讲解。</p>
<p>也可以静态配置NAT功能，这称之为静态NAT。通过该特性建立起来的内部地址与外部地址之间的映射关系会永久不变。这样就可以使用映射IP地址来建立由外部到内部的连接。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzllNzFmNjJlMDdlZTY5ZTFhNWI4MzNmYmQzYTBjZDJkOWFiOWM2ZjUucG5n.jpg"></p>
<p>通过使用共享式的NAT池，可以节省宝贵的公共IP地址空间，还可以支持运行不是很好的应用程序打开随机端口进行通信。静态NAT无法节省公共IP地址，但是它提供了一种机制，使得公网（Internet）上的客户端能够访问具有私有地址的服务。</p>
<h4>1.5.2 PAT</h4>
<p>从另一方面来说，PAT具有一对多的IP地址对应关系。PAT经常用在内部使用私有地址空间，但是却只有一个公共IP地址的场景中。你的家庭网络可能就是这样的情况。私有地址与公共地址的转换发生在OSI模型的传输层。</p>
<p>图1-7与图1-6类似，不同的是，防火墙上没有配置地址池，而是将防火墙配置为将客户端的地址转换为防火墙外部的IP地址。</p>
<p>当客户端1通过防火墙建立连接时，防火墙把源地址192.168.1.2转换成172.16.1.1。</p>
<p>当客户端2通过防火墙建立连接时，防火墙把源地址192.168.1.3转换成172.16.1.1。</p>
<p>这两个客户端都使用同一个IP地址。那么，防火墙如何分辨该将数据回送到哪个客户端呢？此时，源端口号派上了用场。防火墙会创建一张表，其中记录了源IP地址和端口号与转换后的源IP地址和端口号之间的映射关系。这样，当流量返回共享的外部地址172.16.1.1时，通过端口号就得知其目的地是哪里了。</p>
<p>可以看到，从IP使用的角度来看，PAT具有更好的可扩展性，而且能够降低访问Internet所需要的公共IP地址的数量。第4章将会讲到客户端如何使用PAT来访问具有相同IP地址的多个资源。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzM2Y2Q4NGZjZDI5NzkzNzI5NGRkNDdkMjJkZDZhOGM0ODg3ZTFjYjcucG5n.jpg"></p>
<p>本文仅用于学习和交流目的，不代表异步社区观点。非商业转载请注明作译者、出处，并保留本文的原始链接。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 11:15:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e9%98%b2%e7%81%ab%e5%a2%99/" title="防火墙">防火墙</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e6%89%a9%e5%b1%95%e6%80%a7/" title="可扩展性">可扩展性</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Cisco安全防火墙服务模块（FWSM）解决方案》——1.5 IP地址重用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr395Op.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 Cisco安全防火墙服务模块(FWSM)解决方案 防火墙是一种用来保护网络基础设置的重要组件.要维护一个安全的网络,必须深入理解这些设备的运行机制. 本书从硬件和软件两个角度对防火墙服务模块(FWSM)的功能进行了讲解,同时附带有在不同部署场景中设计.实施.运行和管理FWSM的配置案例,因此本书是一本相当实用的FWSM设计指导. 本书的读者对象 本书主要针对那些设计.实施或维护FWSM(如安全/网络管理员)的人员而写.为了能从本书中获取最大收益,读者最好具有至少中级以上的网络和安全知识.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3N9Zz.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;2&period;7 软件架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7 软件架构 Cisco安全防火墙服务模块(FWSM)解决方案 对于基于计算机的任何系统来说,另外一个组件就是软件.无论硬件多么复杂,如果没有安装操作系统,则它无异于一个发射器或纸镇1. 幸好FWSM拥有许多可以利用的特性和可以旋转的&quot;傻瓜式旋钮&quot;.理解软件如何处理流量只是一个基础,在下一节,你还需要花费大量的时间,以求对软件特性有一个非常详细的了解. 首先要对输入的数据包进行分段检查,如果有必要,将对数据包进行重组,然后再发送到&quot;管理/路由&quot;决策进程.该进程用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40ngYz.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;2&period;2 安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 安装 Cisco安全防火墙服务模块(FWSM)解决方案 在开始安装FWSM之前,不仅要准备Philips螺丝刀和防静电腕带,如果决定把FWSM安装在生产设备上,还需要有一份安装方案.这需要考虑FWSM所需的额外电源.它可以安置在哪个插槽.FWSM的配置是否会引起网络中断等. 由于FWSM没有外接线,因此可以考虑把它放在具有许多物理连接的模块之间,以便为布线提供额外的空间.如果你计划使用冗余的supervisor,那么就要尽可能地避免FWSM占用冗余superviser的插槽. 警告: 只			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0E5GM.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;2&period;5 FWSM与其他安全设备的对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 FWSM与其他安全设备的对比 Cisco安全防火墙服务模块(FWSM)解决方案 在选择合适的设备来提供防火墙功能时,应该考虑几个因素.这些因素包括需要支持的应用与安全策略.设备性能.未来的特性需求.产品的寿命.价格.重用.设备的熟悉度.运营整合.培训等.至于其他方面的技术因素,就需要你自己做出选择! FWSM.Internet操作系统防火墙(IOS FW).PIX和ASA设备在支持状态化应用和协议检测.NAT和PAT.路由.内容过滤.用户认证和授权方面都提供了相似的功能.FWSM不支持管			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b225Bvb.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;第1部分简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1部分简介 Cisco安全防火墙服务模块(FWSM)解决方案 第1章 防火墙类型 第2章 防火墙服务模块概述 第3章 运行模式的分析 第4章 理解安全级别 第5章 理解context			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA3lOb.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;第1章防火墙类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章防火墙类型 Cisco安全防火墙服务模块(FWSM)解决方案 从定义上来看,防火墙是一台通过控制流量,以在网络内部或网络之间执行安全策略的单一设备. 防火墙服务模块(Firewall Services Module,FWSM)就是一种可以执行这些安全策略的强力设备.开发FWSM的主要用途是,将其作为模块或者刀片用在Catalyst 6500系列机箱或7600系列路由器机箱内.FWSM与机箱的&quot;紧密&quot;集成提供了增强的灵活性,尤其是在网络虚拟化和难以置信的吞吐量(该吞吐量不但在如今会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYXAmxb.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;1&period;1 理解包过滤防火墙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 理解包过滤防火墙 Cisco安全防火墙服务模块(FWSM)解决方案 1.1.1 优势 包过滤防火墙的主要优势是,它几乎可以位于网络中的任何设备上.路由器.交换机.无线接入点,虚拟专网(VPN)集中器等设备都可以具有包过滤防火墙的功能. 无论是家用路由器还是大型服务提供商使用的路由器,天生就具有使用ACL来控制数据包流动的功能. 交换机可以使用路由式访问控制列表(RACL).端口访问控制列表(PACL)和VLAN访问控制列表(VACL)来过滤数据包.其中,RACL提供了在路由式(第3层)接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5WBWp.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;1&period;3 理解逆向代理防火墙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 理解逆向代理防火墙 Cisco安全防火墙服务模块(FWSM)解决方案 逆向代理防火墙的功能与代理防火墙相同,所不同的是逆向代理防火墙用来保护服务器而不是客户端.连接到Web服务器的客户端可能会不知不觉地将请求发送到代理服务器上,然后由代理服务器作为客户端的代理来处理该请求.代理服务器还能够采用负载均衡的方式把请求发往多台服务器,以分担工作量. 1.3.1 优势 为了发挥其效用,逆向代理必须理解应用程序的运行机制.例如,假定你的Web应用程序需要输入邮件地址,尤其是地区编码时,则应用防火墙			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnaRrM.html" rel="bookmark">《Cisco安全防火墙服务模块（FWSM）解决方案》&mdash;&mdash;1&period;6 总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 总结 Cisco安全防火墙服务模块(FWSM)解决方案 包过滤防火墙.应用防火墙和包检测防火墙这3中基本类型的防火墙都是用来控制流量的.本章讲解了这3种防火墙的通用功能.个别厂商可能会提供额外的特性,其具体信息请参阅相关的文档. 那么,FWSM是哪一类型的防火墙呢?FWSM是包检测防火墙,但是带有很多额外的功能特色,后续章节将对其进行讲解.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrdw4z.html" rel="bookmark" class="title">CSS网页制作教程&colon;CSS书写规范和书写顺序</a>
					<div>
						文章简介:大部分前端er都没有按照良好的CSS书写规范来写CSS代码,这样会影响代码的阅读体验,这里我总结一个CSS书写规范.CSS书写顺序供大家参考,这些是参考了国外一些文章以及我的个人经验总结出来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnrmrp.html" rel="bookmark" class="title">通用高效分页存储过程代码</a>
					<div>
						存储过程|分页   -- 获取指定页的数据 CREATE PROCEDURE pagination@tblName varchar(255), -- 表名 @strGetFields varchar( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw1rdM.html" rel="bookmark" class="title">百度新算法后谈如何建设外链和建设外链的错误行为</a>
					<div>
						自从百度&quot;绿萝&quot;算法上线后许多网站都尝到了苦果:收录被K.网站降权.排名下降...等,这一切都可能是因为在网站建设的过程中采用了不合理的外链建设方法,新算法出台后迷惘中的草根站长也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJPR4M.html" rel="bookmark" class="title">Design Patterns&colon; Solidify Your C&num; Application Arch</a>
					<div>
						Design Patterns: Solidify Your C# Application Architecture with Design Patterns中文版(下篇)    optimizer( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz48VJz.html" rel="bookmark" class="title">OpenGL编程轻松入门之二次几何体</a>
					<div>
						这一章我们讲一下二次几何物体的绘制.二次几何物体的绘制有几种不同的方式,在本例中可以看出不同的绘制方式的不同效果,如图十五所示. 例13:本例使用GLU库函数绘制了四个几何物体,分别为圆柱体.球体.圆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEY2db.html" rel="bookmark" class="title">mahout算法中new Configuration问题</a>
					<div>
						版本:hadoop2.4+mahout0.9 在web程序中调用云平台mahout的算法时,有时会遇到找不到路径的问题,比如org.apache.mahout.clustering.classify. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7k1Ob.html" rel="bookmark" class="title">如何使用nbu异机备份恢复oracle</a>
					<div>
						1.1 Nbu备份oracle NBU备份oracle步骤 1.在oracle数据库所在服务器上安装NBU客户端. 2.修改oracle的备份数据库脚本 9.1.1修改备份脚本 安装好客户端后生成的默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwXgvz.html" rel="bookmark" class="title">Visual Studio&period;NET的开发环境简介</a>
					<div>
						Visual Studio .NET主要的开发环境,在该环境中可以编写.编译.调试和优化.NET程序. Visual Studio .NET是一个全面集成的开发环境,用于编写.调试代码,把代码编译为程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK8n6p.html" rel="bookmark" class="title">PS怎么照片做成手绘效果</a>
					<div>
						  PS怎么照片做成手绘效果          ps软件打开后,打开一张图片,我的图片在桌面上. 打开后如图所示.是个背景图层. Ctrl+j 复制一个图层1 Ctrl+shift+u 给图层一去色. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wOe1p.html" rel="bookmark" class="title">阿里旺旺怎样过滤垃圾信息</a>
					<div>
						  &quot;唉,真是烦死了,阿里旺旺跳出的垃圾信息要是可以屏蔽掉就好了.&quot;您是否有过这样的感叹?现在,您不用苦恼了.接下来,我们就告诉您如何屏蔽掉阿里旺旺上的垃圾信息.就像给阿里旺旺加了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNGXoM.html" rel="bookmark" class="title">模式树 代码-创建模式树有点小疑问</a>
					<div>
						问题描述 创建模式树有点小疑问 // 对应的字符索引为NULL if(NULL == parent-&gt;childs[ch]) { break; } parent = parent-&gt;chi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj5Qlp.html" rel="bookmark" class="title">mvc  artdialog 弹出页面为空，不显示内容？</a>
					<div>
						问题描述 mvc artdialog 弹出页面为空,不显示内容? @{ Layout = null; } &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MW2NGGb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAyMjcxOTUwMDg0OTA/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MW2NGGb.html" rel="bookmark" class="title">C&num;  使用Log4Net记录日志&lpar;基础篇&rpar;</a>
					<div>
						最近在&quot;伯乐在线&quot;上看到这么篇文章&lt;用Log4Net来记录系统的日志信息&gt;,由于没有用到过Log4Net这个东东,就有了下面这篇文章:         第一步:下载Lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32mj7z.html" rel="bookmark" class="title">android-转换数组中的JSON字符串为数组</a>
					<div>
						问题描述 转换数组中的JSON字符串为数组 下面的字符串是作为json对象获取的: [ { &quot;id&quot;: &quot;picture1&quot;, &quot;caption&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEw06M.html" rel="bookmark" class="title">Kingroot秒杀国产安卓机 一键获取root权限</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   近日,全球最强一键Root工具Kingroot宣布推出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zy0az.html" rel="bookmark" class="title">深度解析云计算下ERP的发展之路</a>
					<div>
						一.云计算的概念 云计算是一个泛化概念的技术名词,包含的意义及其外延相当广泛.它是一种动态.易扩展的且通常是通过互联网提供的虚拟化资源计算方式,用户不需要了解云内部的细节,也不必具有云内部的专业知识或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZyGXp.html" rel="bookmark" class="title">&period;Net魔法堂：史上最全的ActiveX开发教程&mdash;&mdash;部署篇</a>
					<div>
						一.前言   接&lt;.Net魔法堂:史上最全的ActiveX开发教程--发布篇&gt;,后我们继续来部署吧!   二. 挽起衣袖来部署     ActiveX的部署其实就是客户端安装ActiveX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1vnJz.html" rel="bookmark" class="title">terminal-phpstrom Terminal 写的命令怎样查看历史记录？</a>
					<div>
						问题描述 phpstrom Terminal 写的命令怎样查看历史记录? 别人帮我在Terminal 编写的命令,我怎样查看历史记录呢. 解决方案 win下phpstorm的terminal其实就是c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7RqGz.html" rel="bookmark" class="title">广东联通在6城市启动3G试商用</a>
					<div>
						本报讯(记者林洁)广东联通近日举行了3G业务体验与试商用启动仪式,其中广州.深圳等6地市率先对友好用户限量放号.据悉,全国共有55个城市同时启动3G业务的试商用友好体验活动. 广东联通总经理乔建葆介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdydm3z.html" rel="bookmark" class="title">TCP服务代理</a>
					<div>
						问题描述 现在公司需求,要在拉一条专线.并且这条专线也已经都弄完了,并且也是通的,现在遇到的问题是,我们的程序员写了一个代理放在了服务器上,这个代理是方便程序员通过他的程序能从公司本地来访问机房服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JDZJz.html" rel="bookmark" class="title">配置-iOS8&period;0以后企业应用不能自动更新？</a>
					<div>
						问题描述 iOS8.0以后企业应用不能自动更新? iOS8.0及以前都能更新,当在iOS8.1.3上时就不能自动更新了,是不是哪里需要配置一下?????? 解决方案 参考了这个地址的内容没有解决问题求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBA5wM.html" rel="bookmark" class="title">python （2）：python打包成可执行文件app</a>
					<div>
						本文的原文连接是: http://blog.csdn.net/freewebsys/article/details/46683645 转载请一定注明出处! 1,mac程序打包成app 有两个方案一个  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rv2qz.html" rel="bookmark" class="title">急急急-OA系统权限设置，不同职务进入时看到的东西不一样</a>
					<div>
						问题描述 OA系统权限设置,不同职务进入时看到的东西不一样 OA系统权限设置 ,不同职务进入时看到的东西不一样,应该怎么操作,有大神没 解决方案 角色中有用户,不同的角色选择不同的权限,角色中保存相应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwjE6M.html" rel="bookmark" class="title">浅谈CAM软件在实际生产中的应用</a>
					<div>
						问题描述 [b]​本文选自中国制造业企业信息化门户网e-works,CAM专栏到目前为止,计算机辅助制造(CAM,ComputerAidedManufacturing)有狭义和广义的两个概念.CAM的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZdlNz.html" rel="bookmark" class="title">JS 事件延迟执行说明分析&lowbar;javascript技巧</a>
					<div>
						思路:当用户划过 设置变量i=0; 每过100毫秒 i++ 当i==10的时候就刚好 是1秒.就触发事件. 否则用清楚setInterval i不在++: 哈哈.不知道我描述清楚没. 代码: 复制代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7lNKb.html" rel="bookmark" class="title">sql-菜鸟求解&comma;数据库查问题</a>
					<div>
						问题描述 菜鸟求解,数据库查问题 有两个数据库表, 现在我想要选出一列当 表A的guid也存在与表B中 则 case when 出一个值1 else case					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0vXwp.html" rel="bookmark" class="title">ckfinder与ckeditor配置好后，在本地上是没问题，但到了服务器上，上传浏览器就白色没反映</a>
					<div>
						问题描述 ckfinder与ckeditor配置好后,在本地上是没问题,但到了服务器上,上传浏览器就白色没反映,不是404错误(我反而想它报错,起码我知道它错在哪里)本地上服务器上 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkBgdM.html" rel="bookmark" class="title">关于数据库中图片在image控件显示</a>
					<div>
						问题描述 前台代码&lt;asp:GridViewID=&quot;GridView1&quot;runat=&quot;server&quot;AutoGenerateColumns=&quot;F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdNqBM.html" rel="bookmark" class="title">4G拉近你我距离&mdash;酷派S6粉丝回馈活动持续进行</a>
					<div>
						硅谷网讯 http://www.aliyun.com/zixun/aggregation/33721.html&quot;&gt;2014年4月14日起,凡购买酷派S6的用户即可享受酷派S6加1元变4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YqjJb.html" rel="bookmark" class="title">人家跟你谈生意，你连份明码标价的菜单都拿不出来，有什么资格好撒气的？</a>
					<div>
						  网站并没有带来直接的效益?为何要花钱? 这显然​​是一个很大的课题,但是狭义来说,就如一家店的装潢,百万装潢,和几张 IKEX 家居构建而成的,都可以营业,客人都可以坐下用餐,没有问题.差别就是在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
